## zfs-linux 2.0.2

=== debian/changelog ===
zfs-linux (2.0.2-1~bpo10+1) buster; urgency=medium

  * Rebuild for buster-backports.

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 11 Feb 2021 15:26:58 +0000

zfs-linux (2.0.2-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.0.2

  [ Antonio Russo ]
  * Remove upstreamed patches and refresh remaining ones.
  * Update debian/copyright
  * Add ZTS to debian/tests
  * Bump Standards-Version to 4.5.1 (no changes)
  * Reoganize debian/patches
  * Cherry pick patches from 2.0.3 staging

 -- Mo Zhou <lumin@debian.org>  Sat, 06 Feb 2021 13:30:55 +0800

zfs-linux (2.0.1-3) unstable; urgency=medium

  [ Antonio Russo ]
  * Install zgenhostid in /sbin (Closes: #980464)
  * Three ZTS patches

 -- Mo Zhou <lumin@debian.org>  Thu, 21 Jan 2021 17:09:02 +0800

zfs-linux (2.0.1-2) unstable; urgency=medium

  * Patch: move manpage arcstat(1) to arcstat(8). (Closes: #980105)
  * Cherry-pick patches from upstream zfs-2.0.2-staging branch.
     + 0001-zpool-Dryrun-fails-to-list-some-devices.patch

 -- Mo Zhou <lumin@debian.org>  Fri, 15 Jan 2021 22:27:09 +0800

zfs-linux (2.0.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Jan 2021 22:24:18 +0800

zfs-linux (2.0.1-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.0.1 (Closes: #977656)
  * Elaborate the functionality of ZED in long description. (Closes: #979414)
  * Fixup encoding in one of the patch headers.
  * Update lintian overrides.

  [ Antonio Russo ]
  * Update overrides for 2.0.1
  * New symbols shipped in 2.0.1

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Jan 2021 13:24:36 +0800

zfs-linux (2.0.0-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.0.0
  * d/rules: Only check ABI for the amd64 architecture.
  * Refresh symbols file again based on arm64.

  [ Antonio Russo ]
  * Use new --with-pkgconfigdir tunable
  * ship arcstat(1) manual page
  * Manual pages were split into subpages
  * Add new zstream utility
  * Include new zfs_ids_to_path tool
  * Include new pam_zfs_key mechanism
  * Refresh patches
  * Remove upstreamed patches
  * Do not regenerate zfs_gitrev.sh during dkms build
  * Bump library versions to match upstream
  * Update symbols
  * refresh lintian-overrides for 2.0.0
  * package zfsbootenv library
  * Remove upstreamed risc patches
  * override zfs-tests lintian warnings
  * Validate ABI at build time
  * Reflect libssl requirement of libzfs
  * Exclude FreeBSD sources in Linux DKMS package
  * Remove duplicate lintian override
  * Update debian/copyright

  [ Aron Xu ]
  * Remove out dated lintian override: package-uses-old-debhelper-compat-version

 -- Aron Xu <aron@debian.org>  Fri, 25 Dec 2020 01:33:41 +0800

zfs-linux (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * d/patches/update-meta.patch: disabled, not needed this upload

 -- Aron Xu <aron@debian.org>  Thu, 17 Dec 2020 17:18:12 +0800

zfs-linux (0.8.5-3) unstable; urgency=medium

  [ Antonio Russo ]
  * symbols: Build-Depends-Package on libzfslinux-dev

  [ Aron Xu ]
  * Petter to step aside, thanks for all the work, happy hacking!

  [ Witold Baryluk ]
  * Don't stop on first error in scrub and trim script (Closes: #976090)

 -- Mo Zhou <lumin@debian.org>  Thu, 10 Dec 2020 14:28:50 +0800

zfs-linux (0.8.5-2) unstable; urgency=medium

  [ Antonio Russo ]
  * zfs-dkms: restrict to the same source version (Closes: #972327)
  * lintian: ignore binary data in lua script.

  [ Mo Zhou ]
  * Cherry-pick x32 support from master branch. (Closes: #968256)

 -- Mo Zhou <lumin@debian.org>  Thu, 29 Oct 2020 14:05:31 +0800

zfs-linux (0.8.5-1) unstable; urgency=medium

  [ Aron Xu ]
  * Schedule pool TRIM on every first Sunday of month

  [ Mo Zhou ]
  * New upstream version 0.8.5 (Oct 6 2020 UTC) (Closes: #966565, #968550)
  * Remove merged patches and refresh the remaining ones.
  * Update installation path for libzfslinux-dev pkgconfig files.
  * Add d/clean to clean up useless files and those generated from templates.

  [ Antonio Russo ]
  * Apply wrap-and-sort
  * Update version-dependent paths in lintian overrides
  * Update kernel compatibility
  * Install in multiarch-compatible directories.

 -- Mo Zhou <lumin@debian.org>  Fri, 16 Oct 2020 18:14:05 +0800

zfs-linux (0.8.4-2) unstable; urgency=medium

  * Sync with Ubuntu delta 0.8.4-1ubuntu10.
    + Sync 4000-zsys-support.patch from 0.8.4-1ubuntu10.
    + Backport upstream patches fixing a dependency loop when encryption
      via Luks (like swap) is enabled. (LP: #1875577)
      Patch: git_fix_dependency_loop_encryption{1,2}.patch
    + Add Linux 5.8 compat fix (4520-Linux-5.8-compat-__vmalloc.patch)
    + Remove 4500-fix-generator-invalid-cache.patch following Ubuntu
    + Make keystore encryption or direct ZFS encryption closer, and make
      the service chain more robust. (4000-mount-encrypted-dataset-fix.patch)
    + Add risc-v 64 bit support, requires implementing risc-v setjmp/longjmp
      and adding some relevant #defines (4521-enable-risc-v-isa.patch)
    + 4620-zfs-vol-wait-fix-locked-encrypted-vols.patch
      zfs-volume-wait.service systemd unit does not start if the encrypted
      zvol is locked. The /sbin/zvol_wait should not wait for links when the
      volume has property keystatus=unavailable. Add a check for this.
    + Thanks to Ubuntu developers. Let's hope for a smaller debdiff.
  * Fix FTBFS with sphinx (Closes: #962276).
  * Rebase git_fix_dependency_loop_encryption1.patch and refresh the rest.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Jul 2020 22:26:35 +0800
