## zfs-linux 2.0.3

=== debian/changelog ===
zfs-linux (2.0.3-9+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * d/patches/CVE-2013-20001.patch: Add patch to fix CVE-2013-20001.
    - When an NFS share is exported to IPv6 addresses via the sharenfs feature,
      there is a silent failure to parse the IPv6 address data, and access is
      allowed to everyone. IPv6 restrictions from the configuration are not
      applied. With the patch, recognize when the host part of a sharenfs
      attribute is an ipv6 Literal and pass that through without modification
      (closes: #1059322).
  * d/patches/CVE-2023-49298.patch: Add patch to fix CVE-2023-49298.
    - Check dnode and its data for dirtiness to prevent applications from
      inadvertently replacing file contents with zero-valued bytes and thus
      potentially disabling security mechanisms (closes: #1056752).

 -- Daniel Leidert <dleidert@debian.org>  Sat, 29 Mar 2025 03:11:13 +0100

zfs-linux (2.0.3-9+deb11u1) bullseye; urgency=medium

  * cherry-pick upstream fixes for stability issues

 -- Aron Xu <aron@debian.org>  Thu, 02 Mar 2023 00:15:02 +0800

zfs-linux (2.0.3-9) unstable; urgency=medium

  * Cherry-pick "Remove iov_iter_advance() for iter_write" (Closes: #989373)

 -- Mo Zhou <lumin@debian.org>  Thu, 01 Jul 2021 13:44:20 +0800

zfs-linux (2.0.3-8) unstable; urgency=medium

  * Fix a typo in autopkgtest-dependency header package name.

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Apr 2021 09:44:39 +0800

zfs-linux (2.0.3-7) unstable; urgency=medium

  * Use Architecture: field for autopkgtest.
  * Add missing test dependency linux-headers-armmp for armhf.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Apr 2021 12:24:03 +0800

zfs-linux (2.0.3-6) unstable; urgency=medium

  [ наб ]
  * Fix broken purge detection in zfs-zed.postrm. (Closes: #986374)
  * /u/l/z-l/{scrub, trim}: enhancements including proper handling for pools
    with spaces in name. (Closes: #986380)

  [ Mo Zhou ]
  * Really install README.Debian into every binary package.

 -- Mo Zhou <lumin@debian.org>  Mon, 05 Apr 2021 10:35:25 +0800

zfs-linux (2.0.3-5) unstable; urgency=medium

  [ наб ]
  * Fix d/rules that README.Debian is installed for libnvpair3linux only.
    (Closes: #986299)

 -- Mo Zhou <lumin@debian.org>  Sat, 03 Apr 2021 17:55:51 +0800

zfs-linux (2.0.3-4) unstable; urgency=medium

  * Revise the auto-{scrub,trim} scripts and describe usage in README.Debian.
    (See #986185 and thanks for наб)

 -- Mo Zhou <lumin@debian.org>  Fri, 02 Apr 2021 21:35:32 +0800

zfs-linux (2.0.3-3) unstable; urgency=medium

  * Use zfs property for periodical-{scrub,trim} cron jobs.
    This fixes the exclusive "nvme-only" behavior of the auto-trim script.
    P.S. In this way, we will not have to store configs in /etc/default/zfs,
    or use debconf database as a registry. Plus, this also allows us to
    configure the cron job behavior per zpool.
    (Closes: #986185)
  * Fix i386 autopkgtest failure due to missing dependency.

 -- Mo Zhou <lumin@debian.org>  Fri, 02 Apr 2021 14:34:15 +0800

zfs-linux (2.0.3-2) unstable; urgency=medium

  [ Aron Xu ]
  * cherry pick of upstream post-2.0.3 fixes
  * debconf: update the term ZFS to OpenZFS
  * debconf: run debconf-updatepo

  [ Antonio Russo ]
  * Adjust zed.d symlink-preservation (Closes: #983401)
  * Remove /etc/zfs/zed.d on purge

  [ Mo Zhou ]
  * Only automatically TRIM NVMe SSD pools. (Closes: #983086, #982505)

  [ наб ]
  * Fix a misleading comment in the scrub cronjob script. (Closes: #985349)

 -- Aron Xu <aron@debian.org>  Tue, 30 Mar 2021 14:47:05 +0800

zfs-linux (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
  * Remove upstreamed patches.
  * Synchronize with ubuntu delta 2.0.1-1ubuntu2.

 -- Mo Zhou <lumin@debian.org>  Fri, 12 Feb 2021 16:30:01 +0800
