## zfs-linux 2.0.7

=== debian/changelog ===
zfs-linux (2.0.7-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * New upstream point release of 2.0.x series.
  * d/patches: refresh
  * d/rules: allow abidiff to fail
  * d/lib{zfs,zpool}4linux.symbols: updated

 -- Aron Xu <aron@debian.org>  Thu, 06 Jan 2022 21:49:26 +0800

zfs-linux (2.0.6-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Aron Xu <aron@debian.org>  Mon, 20 Dec 2021 01:44:49 +0800

zfs-linux (2.0.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- YunQiang Su <syq@debian.org>  Fri, 29 Oct 2021 17:21:46 +0800
