## zfs-linux 2.1.2

=== debian/changelog ===
zfs-linux (2.1.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 11 Feb 2022 13:54:46 -0800

zfs-linux (2.1.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Aron Xu <aron@debian.org>  Sun, 19 Dec 2021 23:27:37 +0800

zfs-linux (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Update symbols

 -- Aron Xu <aron@debian.org>  Thu, 16 Dec 2021 23:12:47 +0800

zfs-linux (2.1.1-3) unstable; urgency=medium

  * Fix pkgcfg path in dkms.mkconf
  * Add patch to avoid zfs-volume-wait timeout with locked encrypted
    zvols (Closes: #997980, LP: #1888405)
  * Update README.{Source,Debian} to reflect current situation (Closes: #986301)

 -- Aron Xu <aron@debian.org>  Wed, 08 Dec 2021 16:55:48 +0800

zfs-linux (2.1.1-2) experimental; urgency=medium

  * d/lib{uutil3,zfs4,zpool5}linux.symbols: updated

 -- Aron Xu <aron@debian.org>  Sat, 27 Nov 2021 02:37:32 +0800

zfs-linux (2.1.1-1) experimental; urgency=medium

  * New upstream version 2.1.1 (Closes: #991896)
  * d/patches: update for 2.1.x series
  * d/control: require abigail-tools >= 1.8
  * d/rules: allow abigail to fail
  * zfsutils-linux: move {zfs,zpool}{concepts,props} from man8 to man7
  * zfsutils-linux: install new files
  * libzpool: update soversion from 4 to 5, update symbols
  * Add PPC get_user workaround from Ubuntu
  * d/patches: clean up patches and make lintian happy
  * d/control: update short desc for libzfs4linux and libzfsbootenv1linux
  * d/patches: update Forwarded header
  * d/copyright: update copyright information
  * d/control: remove transition dummpy packages spl and spl-dkms
  * d/zfs-test.lintian-overrides: update file path
  * Close debconf translation bugs for those already merged
    Closes: #984731, #985130, #985360, #986337, #987342, #993892

 -- Aron Xu <aron@debian.org>  Wed, 24 Nov 2021 21:50:39 +0800
