=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
 Uploaders: Aron Xu <aron@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>,
            Mo Zhou <lumin@debian.org>
-Build-Depends: abigail-tools,
+Build-Depends: abigail-tools (>= 1.8),
                debhelper-compat (= 12),
                dh-python,
                dkms (>> 2.1.1.2-5),
@@ -75,12 +75,12 @@
 Package: libzfslinux-dev
 Section: contrib/libdevel
 Architecture: linux-any
-Depends: libssl-dev | libssl1.0-dev,
-         libnvpair3linux (= ${binary:Version}),
+Depends: libnvpair3linux (= ${binary:Version}),
+         libssl-dev | libssl1.0-dev,
          libuutil3linux (= ${binary:Version}),
          libzfs4linux (= ${binary:Version}),
          libzfsbootenv1linux (= ${binary:Version}),
-         libzpool4linux (= ${binary:Version}),
+         libzpool5linux (= ${binary:Version}),
          ${misc:Depends}
 Provides: libnvpair-dev, libuutil-dev
 Description: OpenZFS filesystem development files for Linux
@@ -88,7 +88,7 @@
  libraries of OpenZFS filesystem.
  .
  This package includes the development files of libnvpair3, libuutil3,
- libzpool4 and libzfs4.
+ libzpool5 and libzfs4.
 
 Package: libzfs4linux
 Section: contrib/libs
@@ -96,7 +96,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libzfs2, libzfs4
 Replaces: libzfs2, libzfs4
-Description: OpenZFS filesystem library for Linux
+Description: OpenZFS filesystem library for Linux - general support
  OpenZFS is a storage platform that encompasses the functionality of
  traditional filesystems and volume managers. It supports data checksums,
  compression, encryption, snapshots, and more.
@@ -109,19 +109,19 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libzfs2, libzfs4
 Replaces: libzfs2, libzfs4
-Description: OpenZFS filesystem library for Linux
+Description: OpenZFS filesystem library for Linux - label info support
  OpenZFS is a storage platform that encompasses the functionality of
  traditional filesystems and volume managers. It supports data checksums,
  compression, encryption, snapshots, and more.
  .
  The zfsbootenv library provides support for modifying ZFS label information.
 
-Package: libzpool4linux
-Section: contrib/libs
-Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libzpool2, libzpool4
-Replaces: libzpool2, libzpool4
+Package: libzpool5linux
+Section: contrib/libs
+Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libzpool2, libzpool5
+Replaces: libzpool2, libzpool5
 Description: OpenZFS pool library for Linux
  OpenZFS is a storage platform that encompasses the functionality of
  traditional filesystems and volume managers. It supports data checksums,
@@ -181,7 +181,6 @@
          ${misc:Depends},
          ${perl:Depends}
 Recommends: zfs-zed, zfsutils-linux (>= ${source:Version}), ${linux:Recommends}
-# suggests debhelper because e.g. `dkms mkdeb -m zfs -v 0.8.2` needs dh_testdir (#909183)
 Suggests: debhelper
 Breaks: spl-dkms (<< 0.8.0~rc1)
 Replaces: spl-dkms
@@ -195,9 +194,10 @@
  OpenZFS.
 
 Package: zfs-initramfs
-Architecture: amd64 arm64 ppc64el s390x riscv64
+Architecture: all
 Depends: busybox-initramfs | busybox-static | busybox,
          initramfs-tools,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${source:Version}),
          ${misc:Depends}
 Breaks: zfsutils-linux (<= 0.7.11-2)
@@ -211,8 +211,9 @@
  for the initramfs-tools infrastructure.
 
 Package: zfs-dracut
-Architecture: amd64 arm64 ppc64el s390x riscv64
+Architecture: all
 Depends: dracut,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${source:Version}),
          ${misc:Depends}
 Description: OpenZFS root filesystem capabilities for Linux - dracut
@@ -230,11 +231,11 @@
 Depends: libnvpair3linux (= ${binary:Version}),
          libuutil3linux (= ${binary:Version}),
          libzfs4linux (= ${binary:Version}),
-         libzpool4linux (= ${binary:Version}),
+         libzpool5linux (= ${binary:Version}),
          python3,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: lsb-base, zfs-zed
+Recommends: lsb-base, zfs-modules | zfs-dkms, zfs-zed
 Breaks: openrc,
         spl (<< 0.7.9-2),
         spl-dkms (<< 0.8.0~rc1),
@@ -258,7 +259,8 @@
 Section: contrib/admin
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: zfsutils-linux (>= ${binary:Version}),
+Depends: zfs-modules | zfs-dkms,
+         zfsutils-linux (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenZFS Event Daemon
@@ -288,6 +290,7 @@
          python3-pyzfs,
          sudo,
          sysstat,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -303,13 +306,3 @@
  This package provides the OpenZFS test infrastructure for destructively
  testing and validating a system using OpenZFS. It is entirely optional
  and should only be installed and used in test environments.
-
-Package: spl
-Section: contrib/metapackages
-Architecture: all
-Depends: ${misc:Depends}
-Suggests: zfs-test
-Description: Solaris Porting Layer user-space utilities for Linux (dummy)
- The Solaris Porting Layer (SPL) is a Linux kernel module which provides
- many of the Solaris kernel APIs. This shim layer makes it possible to
- run Solaris kernel code in the Linux kernel with relatively minimal
