=== debian/rules ===
--- 
+++ 
@@ -164,18 +164,18 @@
 	dh_makeshlibs -V -plibuutil3linux --add-udeb=libuutil3-udeb
 	dh_makeshlibs -V -plibzfs4linux --add-udeb=libzfs4-udeb
 	dh_makeshlibs -V -plibzfsbootenv1linux --add-udeb=libzfsbootenv1-udeb
-	dh_makeshlibs -V -plibzpool4linux --add-udeb=libzpool4-udeb
+	dh_makeshlibs -V -plibzpool5linux --add-udeb=libzpool5-udeb
 	dh_makeshlibs -V -pzfsutils-linux --add-udeb=zfsutils-udeb
 endif
 
 override_dh_strip:
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 ifeq ($(BUILD_UDEB), true)
 	dh_strip -plibnvpair3-udeb
 	dh_strip -plibuutil3-udeb
 	dh_strip -plibzfs4-udeb
 	dh_strip -plibzfsbootenv1-udeb
-	dh_strip -plibzpool4-udeb
+	dh_strip -plibzpool5-udeb
 	dh_strip -pzfsutils-udeb
 endif
