=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
          zfsutils-linux [ amd64 arm64 ppc64el s390x ]
 
 Tests: dkms-zfs-test
+Architecture: amd64, arm64, ppc64el, s390x
 Restrictions: needs-root, allow-stderr
 Depends: dkms,
          linux-headers-amd64 [amd64],
@@ -17,8 +18,10 @@
 Tests: binary-debs-modules, binary-debs-modules-udeb
 Restrictions: needs-root, allow-stderr,
 Depends: fakeroot,
+         linux-headers-686 [i386],
          linux-headers-amd64 [amd64],
          linux-headers-arm64 [arm64],
+         linux-headers-armmp [armhf],
          linux-headers-powerpc64le [ppc64el],
          linux-headers-s390x [s390x],
          @builddeps@
